Module jdk.jdi
Package com.sun.jdi.event

## Interface MonitorWaitEvent

- All Superinterfaces:
    `Event`, `Locatable`, `LocatableEvent`, `Mirror`

      public interface MonitorWaitEvent
      extends LocatableEvent

  Notification that a thread in the target VM is about to wait on a monitor object.
  Since:
    1.6
  See Also:
    `EventQueue`, `MonitorWaitedEvent`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ObjectReference` | `monitor​()` | Returns the monitor object that the thread about to wait.
    `ThreadReference` | `thread​()` | Returns the thread in which monitor wait event has occurred.
    `long` | `timeout​()` | Returns the number of millisecond the thread will wait.

    - ### Methods inherited from interface com.sun.jdi.event.Event

      `request`

    - ### Methods inherited from interface com.sun.jdi.Locatable

      `location`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

- - ### Method Detail

    - #### thread

          ThreadReference thread​()

      Returns the thread in which monitor wait event has occurred.
      Specified by:
        `thread` in interface `LocatableEvent`
      Returns:
        a `ThreadReference` which mirrors the event's thread in the target VM.

    - #### monitor

          ObjectReference monitor​()

      Returns the monitor object that the thread about to wait.
      Returns:
        an `ObjectReference` for the monitor.

    - #### timeout

          long timeout​()

      Returns the number of millisecond the thread will wait.
      Returns:
        a `jlong` containing monitor wait time in milliseconds.